<%= form_for :message, url: user_messages_path, remote: true do |f| %>
  <%= f.error_messages %>
  
  <div class="messagebox">
        <div id="messages" style="height: 500px; overflow: auto;">
          <%= render 'messages' %>
        </div>
        <div style="margin-top: 10px;">
          <%= f.submit "Comment", :type => :image, :src => asset_path("right-arrow.png"), style: "width: 25px; float: right; margin-top: 6px;" %>

          <div style="padding-right: 30px;">
            <%= f.text_field :text, placeholder: "type here...", style: "width: 100%; padding: 10px;" %>
          </div>
        </div>
      </div>
<% end %>

<style type="text/css">
  .page-container-inner {
    padding: 0;
  }
</style>

<script>
  var scrollMessagesWindow = function(){
    var firstUnreadMessage = $('.unread')[0];
    if(firstUnreadMessage) {
      firstUnreadMessage.scrollIntoView();
    } else {
      var messagesContainer = $("#messages");
      messagesContainer.scrollTop(messagesContainer.prop('scrollHeight'));
    }
  };

  $(document).ready(function(){
    window.clearInterval(window.refreshMessagesInterval);
    window.refreshMessagesInterval = window.setInterval(function(){
      $.ajax('/user/messages/get_messages?user.id=<%= current_user.id %>');
    }, 10000);

    scrollMessagesWindow();
  });
</script>
